[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Should libXt-devel be required to build Emacs?

From: Jan Djärv
Subject: Re: Should libXt-devel be required to build Emacs?
Date: Wed, 20 Dec 2006 17:00:41 +0100
User-agent: Thunderbird (X11/20061107)

Leo skrev:
* Jan Djärv (2006-12-19 21:36 +0100) said:
It does indeed look like -lXt is needed to detect X11.  This is all
in autoconfig, the macro AC_PATH_X.  I guess we could file a bug
report on autoconfig.  -lXt is not needed for Gtk+.

Thank you for looking into this :-)

I looked at the sources for autoconf, and this bug has been fixed in autoconf 2.61:

Revision 1.22  - (view) (download) (annotate) - [select for diffs]
Sat Aug 12 18:33:46 2006 UTC (4 months, 1 week ago) by eggert
Branch: MAIN
CVS Tags: AUTOCONF-2_60a
Changes since 1.21: +1 -1 lines
Diff to previous 1.21

* lib/autoconf/libs.m4 (AC_PATH_X_DIRECT): Replace another
check for libXt by a check for libX11.

Unfortunately I used 2.60 when I generated configure.

        Jan D.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]